Re-send subscription activation keys
Use this method to send or re-send activation keys for a list of subscriptions. If no email is provided, messages get sent to the end user email set on each subscription.
Request parameters
sessionID
Required (string) Session identifier, output of the Login method. An exception is thrown if the values are incorrect.
refNo
Required (string) The unique identifier of an order from the Avangate system.
subscriptionReferencesList
Required (stringArray) Array of subscription references for which activation keys will be sent. You can send keys for up to 50 subscriptions at once.
email
Optional (string) End user email address. Can be NULL.
Request sample
<?php
require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner
$refNo = 'YOUR_ORDER_REFERENCE';
$subscriptionReferencesList = array('REFERENCE_1', 'REFERENCE_2');
$email = 'YOUR_EMAIL_ADDRESS';
try {
$ActivationKeyEmail= $client->resendSubscriptionsActivationKeys ($sessionID, $refNo, $subscriptionReferencesList, $email);
} catch (SoapFault $e) {
Echo "Keys: " . $e->getMessage();
exit;
}
var_dump ("Keys ", $ActivationKeyEmail);Response parameters
Result
Boolean True or false
Errors
NOT_FOUND_PARTNER
A partner must be set first.
INVALID_ORDER
Order is not yet completed.
EMPTY_SUBSCRIPTION_REFERENCES_LIST
The subscription references list is empty.
INVALID_SUBSCRIPTION_REFERRENCE
The subscription reference is invalid.
INVALID_EMAIL
The email address is invalid.
Last updated
Was this helpful?